com.google.gwt.i18n.shared

## Class AlternateMessageSelector.AlternateForm

- java.lang.Object
- - com.google.gwt.i18n.shared.AlternateMessageSelector.AlternateForm

- All Implemented Interfaces:
    java.lang.Comparable<AlternateMessageSelector.AlternateForm>
  Enclosing interface:
    AlternateMessageSelector

      public static class AlternateMessageSelector.AlternateForm
      extends java.lang.Object
      implements java.lang.Comparable<AlternateMessageSelector.AlternateForm>

  Represents an alternate form of a message.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlternateForm(java.lang.String name, java.lang.String description)` Create the plural form.
    `AlternateForm(java.lang.String name, java.lang.String description, boolean warnIfMissing)` Create the plural form.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(AlternateMessageSelector.AlternateForm o)`
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getDescription()` Returns the description, suitable for describing this form to translators.
    `java.lang.String` | `getName()` Returns the name.
    `boolean` | `getWarnIfMissing()` Returns true if the generator should warn if this plural form is not present.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AlternateForm

          public AlternateForm(java.lang.String name,
                               java.lang.String description)

      Create the plural form.
      Parameters:
        `name` -
        `description` -

    - #### AlternateForm

          public AlternateForm(java.lang.String name,
                               java.lang.String description,
                               boolean warnIfMissing)

      Create the plural form.
      Parameters:
        `name` -
        `description` -
        `warnIfMissing` - if false, do not warn if this form is missing from a translation. This is used for those cases where a plural form is defined for a language, but is very rarely used.

  - ### Method Detail

    - #### compareTo

          public int compareTo(AlternateMessageSelector.AlternateForm o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<AlternateMessageSelector.AlternateForm>`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getDescription

          public java.lang.String getDescription()

      Returns the description, suitable for describing this form to translators.

    - #### getName

          public java.lang.String getName()

      Returns the name.

    - #### getWarnIfMissing

          public boolean getWarnIfMissing()

      Returns true if the generator should warn if this plural form is not present.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`